> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# System Details

> This endpoint returns information about your server.

## Request

Send a `POST` request to below endpoint to get information about your server.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/3d/system_details' \
```

## Body

```json json theme={null}
{ 
    "key": "enterprise_api_key"
}
```


## OpenAPI

````yaml POST /system_details
openapi: 3.0.0
info:
  title: ModelsLab Enterprise 3D API
  description: API endpoints for managing 3D generation services on ModelsLab Enterprise
  version: 1.0.0
  contact:
    name: ModelsLab Support
    url: https://modelslab.com
servers:
  - url: https://modelslab.com/api/v1/enterprise/3d
    description: Production server
security: []
tags:
  - name: 3D Generation
    description: Endpoints for managing 3D content generation
  - name: Management
    description: Endpoints for managing your dedicated server
paths:
  /system_details:
    post:
      tags:
        - Server Management
      summary: Get System Details
      description: >-
        Returns information about your server including model count and queue
        status
      operationId: getSystemDetails
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKeyRequest'
      responses:
        '200':
          description: System details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemDetailsResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ApiKeyRequest:
      type: object
      required:
        - key
      properties:
        key:
          type: string
          description: Your enterprise API key used for request authorization
          example: enterprise_api_key
    SystemDetailsResponse:
      type: object
      properties:
        model_count:
          type: integer
          description: Number of models currently loaded
          example: 0
        queue_time:
          type: integer
          description: Current queue processing time
          example: 0
        status:
          type: string
          description: Server status
          example: ok
      required:
        - model_count
        - queue_time
        - status
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - error
          example: error
        message:
          type: string
          description: Error message explaining what went wrong
        error_code:
          type: string
          description: Specific error code for debugging
      required:
        - status
        - message
  responses:
    BadRequest:
      description: Bad request - Invalid parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Unauthorized - Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````